/*
This program is confidential and proprietary to MRJ Technology Solutions
and may not be reproduced, published or disclosed to others without
written authorization from MRJ.

Copyright (c) 1998 MRJ Technology Solutions, Inc. All Rights Reserved.

This program is derived from prior work some of which was originally
written as a joint project between the Numerical Aerospace Simulation
(NAS) Systems Division of NASA Ames Research Center and the National
Energy Research Supercomputer Center (NERSC) of Lawrence Livermore
National Laboratory.
*/
/*************************************************************
*      myname           Parser.h
*      created          7/2/1996
*      updated          12/17/1996
*      works            12/17/1996
*
*      designed			rrs/1996
*************************************************************/
#ifndef _PARSER_H 
#define _PARSER_H
/* Feature test switches */
#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE 1
#endif  /* _POSIX_SOURCE */

#if __STDC__ == 1
/*
 * The following macro definations take affect when compiling under ansi C
 *
 * The A_ macro is provided for function prototype declarations.  It allows
 * ANSI C prototypes to be complied under K&R C
 */

#define A_(x) x

#else
/* The following macro definations take affect when compiling under K&R C */

#define const
#define volatile
#define A_(x) ()

#endif  /* __STDC__ */

#include "SymTab.h"
 
/* workaround for my Bison version */

/*test1*/
extern void
ParserInit A_((void));

extern void
ParserPutDF A_((int df));

extern void
ParserCondPrint A_((char *str));

extern void
ParserPrint A_((void));

extern void
ParserErr A_((int e));

extern void
execError A_((char *cp));

extern void
ParserFpeCatch A_((void));

extern void
warning A_((char *cp));

extern void
ParserPrintToken A_((char *lexem, int lin, int len, int typ));

extern void
ParserPrintToken2 A_((struct MYTOK tok));

extern void
ParserLevelIncr A_((void));

extern void
ParserLevelDecr A_((void));

extern int
ParserLevelGet A_((void));

extern void
ParserVarScopeIncr A_((void));

extern int
ParserVarScopeGet A_((void));

extern void
ParserCurrFunPtrPut A_((Np np));

extern Np
ParserCurrFunPtrGet A_((void));

extern void
ParserCurrFunParamPtrPut A_((Np np));

extern Np
ParserCurrFunParamPtrGet A_((void));

extern void
ParserCurrSwitchVarPut A_((struct MYTOK token));

extern struct MYTOK
ParserCurrSwitchVarGet A_((void));

extern void
yyerror A_((char *ep));
#endif /* _PARSER_H */
